<!--#include file="../Include/Conn.jsp" -->
<!--#include file="../Include/char.jsp" -->
<!--#include file="../Include/const.jsp" -->
<!--#include file="IsLogin.jsp" -->
<%
 dim rs,m_Sql
 dim m_ID 
 R_id=request("id")
 if R_id="" then
 Call Msgbox("对不起，ID号错误！",1)
 Response.end
 end if
 m_ID = Request.Cookies("aspxnet")("CurUserID")
 m_username= Request.Cookies("aspxnet")("CurUsername")
 m_Sql = "SELECT F_LoginCount,F_Integral,F_MyImage,F_Grade,F_LastLoginTime,F_RegTime FROM T_Member WHERE F_ID=" & m_ID
 Set rs = conn.Execute(m_Sql)
 if rs.Eof then
   Response.write "对不起，无此会员！"
   Response.end
 end if

  '查询短讯信息

  
    
    m_Sql_a = "SELECT * FROM T_Message WHERE F_Username_a='" & m_Username&"' and F_accept=0 and F_id="&R_id
    Set rs1 = conn.Execute(m_Sql_a)
	if rs1.eof then
	Call Msgbox("对不起，该条信息已经不存在！请重新输入！",1)
	end if
	'更新查看状态
	if request("active")="view" then
	sql2="update T_Message set F_active=1 where F_id="&R_id
	conn.execute(sql2)
	end if
	
'	set rs2=nothing
	'rs1.close
	
  ' mtitle= checkStr(Trim(Request.Form("title")))
 '  mcontent=HTMLEncode(Request.Form("content"))

   
 ' mSql = "insert into T_message (F_Username_a,F_Title,F_Content,F_regtime,F_username_s,F_active,F_accept,F_send) values ("
'  mSql = mSql+"'"&musername&"',"
 ' mSql = mSql+"'"&mTitle&"',"
 ' mSql = mSql+"'"&mContent&"',"
 ' mSql = mSql+""&date()&","
 ' mSql = mSql+"'"&m_username&"',0,0,0)"
 '  conn.execute(mSql)
 '  Call CloseDatabase()
 ' call MsgBox("祝贺您，您的短讯已经成功发送!","messageout.jsp")
 'End if
 
 '个人形象图片
 Session("m_Integral") = rs("F_Integral")
 m_MyImage = rs("F_MyImage")
 session("m_MyImage") = m_MyImage

					sql_m="select count(f_id) as n_count from t_message where F_username_a='"&m_username&"' and F_accept=0"
					Set rs_m = conn.Execute(sql_m)
					m_count=rs_m("n_count")
					sql_m="select count(f_id) as n_count from t_message where F_username_a='"&m_username&"' and F_accept=0 and  F_active=0 "
					Set rs_m = conn.Execute(sql_m)
					m_newcount=rs_m("n_count")
					rs_m.close
					%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml"><HEAD><TITLE>我的短讯</TITLE>
<META http-equiv=Content-Type content="text/html; charset=gb2312">
<META http-equiv=Page-Enter content=blendTrans(Duration=0.5)>
<META http-equiv=Page-Exit content=blendTrans(Duration=0.5)><LINK 
href="css/index.css" type=text/css rel=stylesheet>
<META content="MSHTML 6.00.2800.1555" name=GENERATOR>

<SCRIPT language=JavaScript1.2>
<!--
function confirm_delete()
{
if (confirm("你确定要删除所选择的短讯吗？")){
		return true;
	}
	return false;
}
function CheckAll(form)  {
  for (var i=0;i<form.elements.length;i++)    {
    var e = form.elements[i];
    if (e.name != 'chkall')       e.checked = form.chkall.checked; 
   }
  }
//-->
</SCRIPT>
<% if cint(m_newcount)>0 then %>
<bgsound src="img/mail.wav" loop="1">
<% end if %>
</HEAD>
<BODY><!--menu start-->
<DIV id=menu><SPAN>登陆帐号：<%m_TempUserName = Request.Cookies("aspxnet")("CurUserName")
				  if m_TempUserName = "" then Response.write "游客" else
				   Response.write ""&m_TempUserName&""
				  %> | <A 
href="Logout.jsp">退出</A></SPAN> <B>操作中心</B>
<DIV id=nav>
<DIV class=right><IMG src="img/nav_right.gif"></DIV>
<DIV class=left><IMG src="img/nav_left.gif"></DIV>
<UL>
  <LI><A href="Center_index.jsp">首 页</A> </LI>
  <LI><A href="friend_index.jsp">交友频道</A> </LI>
  <LI><A href="QQ_ployall.jsp">精彩活动</A> </LI>
  <LI><A href="../bbs/">论坛社区</A> </LI>
  <LI><A href="photo_default.jsp">都市相册</A> </LI>
  <LI><A href="QQ_index.jsp">小圈子</A> </LI>
  <LI><A href="../info/">分类广告</A> </LI>
  <LI><A href="../jubao/">折扣店</A> </LI>
  <LI><A href="../shop/">逛街购物</A> </LI></UL></DIV></DIV><!--menu end-->
<DIV id=main>
<DIV id=user>
<H3>欢迎您：<%m_TempUserName = Request.Cookies("aspxnet")("CurUserName")
				  if m_TempUserName = "" then Response.write "游客" else
				   Response.write ""&m_TempUserName&""
				  %></H3>
<DIV class=rim>
<DIV id=uinfo>
<DIV id=uimg align=center><%if session("m_MyImage")<>"" then %>
		  <img  src="<%=session("m_MyImage")%>" > 
		  <%else%><img  src="img/nophoto_man.gif"><%end if%></DIV>
<P>ID: <%m_TempUserName = Request.Cookies("aspxnet")("CurUserName")
				  if m_TempUserName = "" then Response.write "游客" else
				   Response.write ""&m_TempUserName&""
				  %></P>
<P><IMG src="img/star.gif"></P>
<HR>

<DIV id=usercon><A href="../bbs/" target=_blank><IMG height=20 
src="img/Center_left01.gif" width=27 border=0></A><A 
href="QQ_default.jsp" target=_blank><IMG height=21 
src="img/Center_left02.gif" width=21 border=0></A><A 
href="../blog/" target=_blank><IMG height=16 
src="img/Center_left03.gif" width=24 border=0></A><A 
href="#"><IMG 
src="img/ico4.gif"></A><A 
href="#" 
target=_blank><IMG src="img/ico5.gif" border=0></A> </DIV></DIV><%
   sql_m = "SELECT Points FROM LeadBBS_User Where UserName='" & m_username & "'"
			Set Rstest = conn.Execute(sql_m)
%>
<P class=uline><STRONG>用户金币：<%=rstest("Points")%></STRONG><BUTTON class=bot 
onclick="location.href='#a'">帐户冲值</BUTTON><BUTTON class=bot 
onclick="location.href='#a'"><B>VIP</B>冲值</BUTTON> </P>
<UL>
  <LI>·<A href="Center_userinfo.jsp">个人资料</A> </LI>
  <LI>·<A href="Center_msg.jsp">我的短信</A> </LI>
  <LI>·<A href="Center_contact.jsp">联系资料</A> </LI>
  <LI>·<A href="Center_wealth.jsp">金币兑换</A> </LI>
  <LI>·<A href="Center_editpassword.jsp">密码设置</A> </LI>
  <LI>·<A href="Center_ploy.jsp">我的活动</A> </LI></UL>
<DIV class=clear></DIV></DIV>
<H3>从这里开始</H3>
<DIV class=rim>
<DIV id=buildgroup>
<H4><A href="qq_ceaterclub.jsp" 
target=_blank><SPAN>建立小圈子</SPAN></A></H4>
<P>您可以在这里建立自己的小圈子，和更多的朋友一起互动。世界很小，圈子很大。您可以通过您的圈子认识更多志趣相投的朋友！</P></DIV>
<DIV id=invitefriend>
<H4><SPAN>邀请您的好友</SPAN></H4>
<P>您可以在这里建立自己的小圈子，和更多的朋友一起互动。世界很小，圈子很大。您可以通过您的圈子认识更多志趣相投的朋友！</P></DIV></DIV></DIV><!--contain-->
<DIV id=contain>
<DIV id=info>
<DIV id=infotop><IMG src="img/windows.gif" width="19" height="17">短讯</DIV>
<FORM>
<H6>发送人: <%=rs1("F_username_s")%><SMALL>(<%=rs1("F_regtime")%>)</SMALL></H6>
<DIV id=msgtool>&nbsp; 短信标题: <%=rs1("F_title")%></DIV>
<DIV id=msginfo><%=rs1("F_content")%> </DIV><P class=botalign><BUTTON class=bot 
onclick="location.href='Center_msgsend.jsp?re_username=<%=rs1("F_username_s")%>&amp;re_title=Re <%=rs1("F_title")%>'">回复</BUTTON><BUTTON 
class=bot 
onclick="location.href='addfriend.jsp?username=<%=rs1("F_username_s")%>&flag=0'">加入黑名单</BUTTON><BUTTON 
class=bot 
onclick="location.href='addfriend.jsp?username=<%=rs1("F_username_s")%>&flag=1'">加为好友</BUTTON></P>
</FORM>  <%
			   rs1.close 
			   %>
<DIV id=infobot></DIV></DIV></DIV></DIV>
<STYLE type=text/css>.STYLE1 {
	COLOR: #ff0000
}
</STYLE>

<DIV id=rchart>
<DIV id=chart>
<DIV id=charttop>
<H6>&nbsp; </H6>
<P>用户等级:<%if rs("F_Grade") = 1 then Response.write "<font color=red><b>聚宝卡VIP会员</b></font>" else Response.write "普通会员"%>
                      <%if rs("F_Grade") <> 1 then%>
                      → <a href="UserGrade.jsp"> <font color="#FF0000">升级为VIP会员</font> 
                      </a> 
                      <%end if%></P>
<P>用户注册时间:<%=rs("F_RegTime")%></P>
<P id=mailone><a href="Center_msg.jsp">(<%=m_count%>/<font color="#FF0000"><%=m_newcount%>)</font>短信!</a></P></DIV>


<DIV id=chartbot></DIV></DIV>
</DIV>
</BODY></HTML>
